#pragma once
#include <avr/io.h>
#include "EEPROM.h"

void EEPROM_init(){
	EECR &= ~((1<<EEPM0)|(1<<EEPM1));
}

char EEPROM_read(char eeprom_address){
	while(EECR & (1<<EEPE));
	EEAR = eeprom_address;
	EECR |= (1<<EERE);
	return EEDR;
}

void EEPROM_write(char eeprom_address, char eeprom_data){
	while(EECR & (1<<EEPE));
	EECR = (0<<EEPM0) | (0<<EEPM1);
	EEAR = eeprom_address;
	EEDR = eeprom_data;
	EECR |= (1<<EEMPE);
	EECR |= (1<<EEPE);
}