#pragma once

/**
	Initialize I2C bus as master.
	TWI_twbr is value of TWBR register, for transmission frequency setting.
*/
void TWIinitMaster(char TWI_twbr);

/**
	Generate start condition and send slave address + write bit.
	If success, return 0. Else return 1 and generate stop.
*/
char TWIsendStart(char TWIslaveAddress);

/**
	Send one byte to slave.
	If success, return 0. Else return 1 and generate stop.
*/
char TWIsendByte(char TWIdata);

/**
	Generate stop condition.
*/
void TWIstop();

/**
	Generate start, send slave address + read bit.
	Read bytes to TWIdataArray. Number of read bytes: TWInumberOfBytes.
	If success, return 0. Else return 1 and generate stop.
*/
char TWIreceive(char TWIaddress, char *TWIdataArray, unsigned int TWInumberOfBytes);