#pragma once
#include <avr/io.h>
#include <util/delay.h>
#include "I2C.c"
#include "SHTC3.h"

volatile float SHTC3_Temperature;
volatile float SHTC3_Humidity;

void SHTC3wakeUp(){
	TWIsendStart(SHTC3_ADDR);
	TWIsendByte(SHTC3_WAKEUP_MSB);
	TWIsendByte(SHTC3_WAKEUP_LSB);
	TWIstop();
	_delay_ms(1);
}

void SHTC3sleep(){
	TWIsendStart(SHTC3_ADDR);
	TWIsendByte(SHTC3_SLEEP_MSB);
	TWIsendByte(SHTC3_SLEEP_LSB);
	TWIstop();
	_delay_ms(2);
}

void SHTC3measure(){
	char  SHTC3measurebuffer[6];
	unsigned int SHTC3measureData;
	SHTC3wakeUp();
	TWIsendStart(SHTC3_ADDR);
	TWIsendByte(SHTC3_MEASURE_MSB);
	TWIsendByte(SHTC3_MEASURE_LSB);
	TWIstop();
	TWIreceive(SHTC3_ADDR, SHTC3measurebuffer, 6);
	SHTC3sleep();
	
	SHTC3measureData = SHTC3measurebuffer[0]<<8;
	SHTC3measureData |= SHTC3measurebuffer[1];
	SHTC3_Humidity = (100 * (float)SHTC3measureData) / 65536;
	
	SHTC3measureData = SHTC3measurebuffer[3]<<8;
	SHTC3measureData |= SHTC3measurebuffer[4];
	SHTC3_Temperature = (175 * (float)SHTC3measureData) / 65536;
	SHTC3_Temperature -= 45;
}