#pragma once

#define SHTC3_ADDR 0x70				//I2C address of SHTC3
#define SHTC3_SLEEP_MSB 0xB0		//high byte of sleep command
#define SHTC3_SLEEP_LSB 0x98		//low byte of sleep command
#define SHTC3_WAKEUP_MSB 0x35		//high byte of wake up command
#define SHTC3_WAKEUP_LSB 0x17		//low byte of wake up command
#define SHTC3_MEASURE_MSB 0x5C		//high byte of measurement command	|	humidity first, normal mode, clock stretching enabled
#define SHTC3_MEASURE_LSB 0x24		//low byte of measurement command

/*
	To disable clock stretching during measurement is in process replace measurement commands with thiese:  MSB = 0x58	LSB = 0xE0
*/

/**
	Wake up the SHTC3.
*/
void SHTC3wakeUp();

/**
	SHTC3 fall asleep.
*/
void SHTC3sleep();

/**
	Wake up the SHTC3.
	Measure relative humidity and temperature and store them as float.
	SHTC3 fall asleep.
*/
void SHTC3measure();